export declare type UseAsyncProps = {
    fn: (result: any) => void;
    autoExec?: boolean;
    defaultData?: any;
    onResult?: (result: any) => void;
    onError?: (error: any) => void;
    onLoading?: (loading: boolean) => void;
};
export declare type UseAsyncReturn = {
    loading: boolean;
    error: any;
    result: any;
    exec: (payload?: any) => void;
};
/**
 * @example
 * const promise = useAsync({
 * fn
 * })
 */
export default function useAsync({ fn, autoExec, defaultData, onResult, onError, onLoading, }: UseAsyncProps): UseAsyncReturn;
